# SKU lists

SKU lists are used to group more [SKUs](/core-api-reference/skus.md), either automatically (i.e. through a RegEx — max **5000** chars allowed) or manually (i.e. by creating and sorting more [SKU list items](/core-api-reference/sku_list_items.md)).

{% hint style="info" %}
SKU lists cannot contain [bundles](/core-api-reference/bundles.md). If a bundle is associated with an SKU list, they are considered matching resources, which is meaningful for the scope of specific [promotions](/core-api-reference/free_gift_promotions.md) and [promotion rules](/core-api-reference/promotion_rules.md) application.
{% endhint %}

{% hint style="warning" %}
SKU uniqueness is not enforced on SKU list. That means an SKU list can contain the same SKU multiple times.
{% endhint %}

<details>

<summary>Data model</summary>

Check the related [ER diagram](https://commercelayer.io/docs/data-model/sku-lists) and explore the flowchart that illustrates how the SKU list resource relates to the other API entities.

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.commercelayer.io/core-api-reference/sku_lists.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
